/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TarmsolicitudagenciasucursalPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "CAGENCIA")
    private long cagencia;
    @Basic(optional = false)
    @Column(name = "CSOLICITUD")
    private String csolicitud;

    public TarmsolicitudagenciasucursalPK() {
    }

    public TarmsolicitudagenciasucursalPK(long cagencia, String csolicitud) {
        this.cagencia = cagencia;
        this.csolicitud = csolicitud;
    }

    public long getCagencia() {
        return cagencia;
    }

    public void setCagencia(long cagencia) {
        this.cagencia = cagencia;
    }

    public String getCsolicitud() {
        return csolicitud;
    }

    public void setCsolicitud(String csolicitud) {
        this.csolicitud = csolicitud;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) cagencia;
        hash += (csolicitud != null ? csolicitud.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TarmsolicitudagenciasucursalPK)) {
            return false;
        }
        TarmsolicitudagenciasucursalPK other = (TarmsolicitudagenciasucursalPK) object;
        if (this.cagencia != other.cagencia) {
            return false;
        }
        if ((this.csolicitud == null && other.csolicitud != null) || (this.csolicitud != null && !this.csolicitud.equals(other.csolicitud))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TarmsolicitudagenciasucursalPK[ cagencia=" + cagencia + ", csolicitud=" + csolicitud + " ]";
    }
    
}
